# Changelog
All notable changes to this project will be documented in this file. See [conventional commits](https://www.conventionalcommits.org/) for commit guidelines.

- - -
## v0.1.2 - 2023-10-17
#### Build system
- **(cog)** Readd sptp - (9dd1313) - Soispha

- - -

## v0.1.1 - 2023-10-17

- - -

## v0.1.0 - 2023-10-17
#### Bug Fixes
- **(nix)** Further remove sandboxing limitations - (0d0da8c) - Soispha
- **(nix)** Allow setuid bit - (f00e9f3) - Soispha
- **(nix)** test conditions. - (51c39da) - Soispha
- **(nix)** Allow nixos-rebuild without the full path - (b947283) - Soispha
- **(nix)** Use the wrapper through the PATH - (b3c84d1) - Soispha
- **(nix)** Add execution command with wrapper path - (bdc1b66) - Soispha
- **(nix)** Only add required files - (be25b58) - Soispha
- **(nix)** Add space before semicolon - (2bcdd67) - Soispha
- **(nix)** Create needed subdirectory - (1ec4e0f) - Soispha
- **(nix)** Use new executable prefixes - (ae781b0) - Soispha
- **(nix)** Use the systemd Runtime directory - (9590737) - Soispha
- **(nix)** Run ExecStartPre in a shell - (c76c6d4) - Soispha
- **(nix)** Add coreutils dependency - (7c06380) - Soispha
- **(nix)** Move mutable files to /var/lib - (06959ce) - Soispha
- **(nix)** Add gpg dependency - (da3d05a) - Soispha
- **(nix)** Declare which files to copy - (ca6d68e) - Soispha
- **(nix)** Allow necessary privileges in system service - (cb1442a) - Soispha
- **(nix)** Use provided path option - (22fb382) - Soispha
- **(nix)** Assert correctly for true - (7163bbc) - Soispha
- **(nix)** Add a gpg directory for gpg key validation - (d558799) - Soispha
- **(nix)** Rework the exec command line - (fcf7fee) - Soispha
- **(nix)** Add spd command - (1e67fc2) - Soispha
- **(nix)** Add space separator - (cfa37e1) - Soispha
- **(nix)** Update the names - (8e629a3) - Soispha
- **(nix)** Use pkgs.gnupg, not pkgs.gpg - (9fb8916) - Soispha
- **(nix)** Use correct submodule for acceptedUsers - (da5eb44) - Soispha
- **(nix)** Convert duration to correct type - (cbe3430) - Soispha
- **(nix)** Use correct name - (60f6e7b) - Soispha
- **(nix)** Consequently use camel case names - (cdbff54) - Soispha
- **(nix/systemd)** Remove systemd sandboxing completely - (9432b13) - Soispha
- **(nix/systemd.service)** Allow necessary things - (ae6e645) - Soispha
- **(packaging)** Specify a version of spp used - (639697a) - Soispha
- **(spd/authorized/run_command)** Leave default environment - (65cf75e) - Soispha
- **(spd/cli)** Rename options to be inline with conventions - (d143535) - Soispha
- **(spp)** Disable some debug remnants - (3793a64) - Soispha
- **(src)** Remove deprecated functions - (32eb28d) - Soispha
- **(treewide)** Use new sptp name - (a9ee04a) - Soispha
- **(treewide)** Don't unset the PATH environment variable - (0036436) - Soispha
#### Build system
- **(.gitignore)** Ignore spp's 'Cargo.lock' as it's a library - (93ddd0f) - Soispha
- **(cog)** Ignore sptp - (5868baf) - Soispha
- **(cog)** Don't publish sptp on first run - (90b1517) - Soispha
- **(cog)** Include sptp in the version upgrades - (a79b438) - Soispha
- **(cog)** Correctly format `cog.toml` - (25414d5) - Soispha
- **(cog)** Remove `cargo clippy` run, as this is better placed in ci - (6085270) - Soispha
- **(flake)** Remove language servers from devshell - (2336ed8) - Soispha
- **(flake)** Make rust stable version more configurable - (01006fe) - Soispha
- **(flake)** Add libsodium as dependency - (5a17ac2) - Soispha
- **(spp)** Rename to sptp - (357c674) - Soispha
- **(sptp)** Increment version - (93a5030) - Soispha
- **(treewide)** Add useful metadata to the `Cargo.toml`s - (f77f055) - Soispha
- **(treewide)** Update - (e5c9838) - Soispha
- **(treewide)** Update - (6823eed) - Soispha
- **(update.sh)** Automatically add the updated files to the git index - (5791f4b) - Soispha
#### Documentation
- **(keys)** Add a directory with example keys - (06a7cfb) - Soispha
- **(module)** Add - (3349513) - Soispha
- **(treewide)** Update description - (ddd22b7) - Soispha
#### Features
- **(nix)** Add configurations for authentication command - (67b823f) - Soispha
- **(nix)** Init - (8e628cb) - Soispha
- **(spd)** Run commands with defined environment - (89b5b81) - Soispha
- **(src/spd)** Add a option for specification of the escalation command - (8e0f323) - Soispha
- **(treewide)** Finish tls implementation - (133fdf5) - Soispha
- **(treewide)** Update implementation - (c3a186b) - Soispha
- Add tls client implementation - (38bc5d5) - Soispha
#### Refactoring
- **(sptools)** Rename from tools, to make connection to sp apparent - (da41fd1) - Soispha
#### Revert
- "build(cog): Remove `cargo clippy` run, as this is better placed in ci" - (ec947d2) - Soispha
#### Tests
- **(spd/a/deploy)** Remove impossible test - (accc133) - Soispha

- - -

Changelog generated by [cocogitto](https://github.com/cocogitto/cocogitto).